require 'uu/os/rest/binary_value'

module UU
  module UDS
    module Bucket

      # DTO for creation of the new blob.
      class BlobCreate < UU::OS::REST::BinaryValue
        # No custom attributes
        
        # @see UU::OS::REST::DTO
        # @private
        def handle_custom_init_data(init_data, error)
          # String, Stream or Tempfile is valid for BinaryValue
          if (init_data.kind_of?UU::OS::REST::BinaryValue)
            self.attributes = init_data.send(:attributes)
          else
            super(init_data, error)
          end
        end

      end

    end
  end
end
